For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DonorAtlasDashboard
  • Getting Started
    • Welcome
    • Authentication
    • Quickstart
  • Guides
    • Donor Profile Schema
    • Network
    • Credits & Billing
    • Error Handling
  • API Reference
      • POSTSubmit person records for enhancement
      • POSTGet progress for multiple enhancements
      • GETGet enhancement progress
      • POSTGet enhancement results
LogoLogo
DonorAtlasDashboard
API ReferenceEnhance

Get progress for multiple enhancements

POST
https://api.donoratlas.com/v1/partners/enhancements/progress/batch
POST
/v1/partners/enhancements/progress/batch
$curl -X POST https://api.donoratlas.com/v1/partners/enhancements/progress/batch \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "enhancement_ids": [
> "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
> "4df98922-b22b-4c18-b002-daf8a8cc9c48"
> ]
>}'
1{
2 "states": {
3 "4df98922-b22b-4c18-b002-daf8a8cc9c48": {
4 "progress": {
5 "status": "completed"
6 }
7 },
8 "f81d4fae-7dec-11d0-a765-00a0c91e6bf6": {
9 "progress": {
10 "status": "processing",
11 "percent_complete": 75
12 }
13 }
14 }
15}

Get the progress for multiple enhancements. Maximum: 1000 enhancement IDs per request.

Was this page helpful?
Previous

Get enhancement progress

Next
Built with

Authentication

x-api-keystring

Your DonorAtlas API key. Contact support@donoratlas.com to get started.

Request

This endpoint expects an object.
enhancement_idslist of stringsRequired
The enhancement IDs to get progress for

Response

Successful Response
statesmap from strings to objects

Errors

422
Unprocessable Entity Error